www.cendio.com
Bug 6058 - favicon doesn't work in mobile Firefox when using unsigned certs
: favicon doesn't work in mobile Firefox when using unsigned certs
Status: CLOSED WONTFIX
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.9.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2016-10-13 16:22 by
Modified: 2017-10-24 12:58 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2016-10-13 16:22:10
See summary. No idea why at this point. Perhaps it doesn't support .ico files?
------- Comment #1 From cendio 2016-10-14 10:34:13 -------
Might want to have a look at high resolution icons at the same time.
------- Comment #2 From cendio 2016-10-17 09:29:40 -------
https://github.com/kanaka/noVNC/pull/686
------- Comment #3 From cendio 2016-10-18 11:18:40 -------
This only happens on tablets as Firefox on phones doesn't show multiple tabs
and hence no icons on them.
------- Comment #4 From cendio 2016-10-18 12:44:46 -------
Also see bug 4583 which is probably affected by this.
------- Comment #5 From cendio 2016-10-18 16:23:47 -------
This bug causes the icon used for "add-to-homescreen"-shortcuts on Android to
be a orange square with a white star.
------- Comment #6 From cendio 2016-10-18 16:29:19 -------
Firefox on iOS seems to behave the same way as Firefox on Android phones (i.e.
not tablets). Add-to-homescreen does not seem possible with Firefox on iOS.
------- Comment #7 From cendio 2017-10-23 15:01:53 -------
This bug only applies when using unsigned certificates. Both favicons on tabs
and icons for add-to-homescreen work fine when using a proper cert. I updated
the title to reflect this.

Moving from "Next" to "---" for discussion.
------- Comment #8 From cendio 2017-10-24 12:57:51 -------
This is a general Firefox issue and not specific to ThinLinc. And since it
doesn't happen with "proper" certificates we'll close this as WONTFIX.